import request from '@/utils/request'

export function userSearch(name) {
  return request({
    url: '/api/search/user',
    method: 'get',
    params: { name }
  })
}

export function groupSearch(name) {
  return request({
    url: '/api/search/group',
    method: 'get',
    params: { name }
  })
}

export function regionSearch(name) {
  return request({
    url: '/api/search/region',
    method: 'get',
    params: { name }
  })
}

export function tagSearch(name) {
  return request({
    url: '/api/search/tag',
    method: 'get',
    params: { name }
  })
}

export function starSearch(name) {
  return request({
    url: '/api/search/star',
    method: 'get',
    params: { name }
  })
}

export function citySearch(name) {
  return request({
    url: '/api/search/city',
    method: 'get',
    params: { name }
  })
}
